MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025062Open CASCADE[OCCT] OCCT:Meshpublic2014-07-09 13:092018-11-08 12:59
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0025062: BRepMesh should decrease deflection for edges of suspected wires only
DescriptionBRepMesh_FastDiscret decreases deflection of edges of whole shape in case if BRepMesh_SelfIntersectingWire flag is noticed by face checker. However, it leads to increasing of discretization points even for those edges that are not included in intersecting wires. The consequence is the much more complicated mesh could be produced that means an extra time spent by BRepMesh_Delaun and BRepMesh_FastDiscretFace.

It is proposed to identify wires that are rejected by face checker and decrease deflection only for their edges.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0080631)
nbv (developer)
2018-11-02 15:20

Fixed in frame of the issue #26106

- Issue History
Date Modified Username Field Change
2014-07-09 13:09 oan New Issue
2014-07-09 13:09 oan Assigned To => oan
2014-09-12 10:04 abv Target Version => 6.8.0
2014-09-12 19:21 oan Target Version 6.8.0 => 7.1.0
2016-10-17 11:30 oan Relationship added related to 0026106
2016-11-03 17:49 abv Target Version 7.1.0 => 7.2.0
2017-07-20 12:43 oan Target Version 7.2.0 => 7.3.0
2018-02-25 21:09 abv Target Version 7.3.0 => 7.4.0*
2018-11-02 15:20 nbv Note Added: 0080631
2018-11-02 15:20 nbv Assigned To oan => bugmaster
2018-11-02 15:20 nbv Status new => feedback
2018-11-08 12:59 bugmaster Test case number => Not needed
2018-11-08 12:59 bugmaster Status feedback => verified
2018-11-08 12:59 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker